> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/playbooks/playbook-document-types.md).

# Playbook Document Types

## Gets all document types for the specified playbook.

> Retrieves a paginated list of all document types for the specified playbook, with optional search and sorting.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":[0],"type":"integer","format":"int32"},"Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/document-types":{"get":{"tags":["Playbook Document Types"],"summary":"Gets all document types for the specified playbook.","description":"Retrieves a paginated list of all document types for the specified playbook, with optional search and sorting.","parameters":[{"name":"pageNumber","in":"query","description":"The page number for paginated results.","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","description":"The number of items per page.","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","description":"Optional search text to filter results.","schema":{"type":"string"}},{"name":"sorting","in":"query","description":"The sorting option for the results.","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","description":"Whether to sort in descending order.","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Creates a new document type for the specified playbook.

> Creates a new document type for the specified playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeWriteModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/document-types":{"post":{"tags":["Playbook Document Types"],"summary":"Creates a new document type for the specified playbook.","description":"Creates a new document type for the specified playbook.","parameters":[{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The document type data to create.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeWriteModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeWriteModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeWriteModel"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Gets a specific document type by its object identifier.

> Retrieves the details of a document type for the specified playbook using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/document-types/{objectIdentifier}":{"get":{"tags":["Playbook Document Types"],"summary":"Gets a specific document type by its object identifier.","description":"Retrieves the details of a document type for the specified playbook using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the document type.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Updates an existing document type for the specified playbook.

> Updates the details of an existing document type for the specified playbook using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeWriteModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel":{"required":["name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/document-types/{objectIdentifier}":{"put":{"tags":["Playbook Document Types"],"summary":"Updates an existing document type for the specified playbook.","description":"Updates the details of an existing document type for the specified playbook using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the document type to update.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The updated document type data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeWriteModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeWriteModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeWriteModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookDocumentTypeModels.PlaybookDocumentTypeReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Deletes a document type from the specified playbook.

> Deletes a document type from the specified playbook using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/document-types/{objectIdentifier}":{"delete":{"tags":["Playbook Document Types"],"summary":"Deletes a document type from the specified playbook.","description":"Deletes a document type from the specified playbook using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the document type to delete.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/playbooks/playbook-document-types.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
